
Figure - Bug #118269
Bug # 118052 (CLOSED): 【IOVDEV-28498】【IOVDEV-32043】【IOVDEV-31956】【IOVDEV-33351】【内部】【VC1】【0095】【台架】【EE环境】【

副屏】monkey中断，疑似重启过�

【IOVDEV-30662】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏monkey测试异常停止
2023-05-26 14:08 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: High Due date:

Assignee: CD FW 曹覃刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103 ��中控：03.02.0082.C102

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118052 相同

Description

【环境信息】EE环境

【问题出现时间】：20230526  8点22分（ 第194次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）

1.副屏在5月25日晚9点15左右开始执行monkey测试

【实际结果】

5月26日早8点22分看到副屏处于屏保界面，monkey异常停止运行，仍是194次开机，未发生重启。

【期望结果】

副屏monkey测试正常执行。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/vc1DwxHkOiA%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-26 14:10 - CDTS_Test 吴诗雨

日志和视频：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118269

需要中控log请私聊

#2 - 2023-05-26 15:04 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100
- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 相同

■ 我的分析

surfaceflinger报空指针了，导致系统进程挂了，与 #118052 相同

-------------

05-25 23:59:02.399 13243 13243 F DEBUG   : * 

05-25 23:59:02.399 13243 13243 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-25 23:59:02.399 13243 13243 F DEBUG   : Revision: '0'

05-25 23:59:02.399 13243 13243 F DEBUG   : ABI: 'arm64'

05-25 23:59:02.399 13243 13243 F DEBUG   : Timestamp: 2023-05-25 23:59:02.177331443+0800

05-25 23:59:02.399 13243 13243 F DEBUG   : Process uptime: 0s

05-25 23:59:02.399 13243 13243 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-25 23:59:02.399 13243 13243 F DEBUG   : pid: 977, tid: 977, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

05-25 23:59:02.399 13243 13243 F DEBUG   : uid: 1000

05-25 23:59:02.399 13243 13243 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

05-25 23:59:02.399 13243 13243 F DEBUG   : Cause: null pointer dereference

05-25 23:59:02.399 13243 13243 F DEBUG   :     x0  b400007b7ae9c228  x1  b400007a2ad55c28  x2  0000000000000001  x3  0000007ff617e368

05-25 23:59:02.399 13243 13243 F DEBUG   :     x4  0000000000000038  x5  00000079eac96880  x6  000063510000aa19  x7  0000b6fd0000b7d9

05-25 23:59:02.399 13243 13243 F DEBUG   :     x8  b400007b7ae99950  x9  00000000000028d8  x10 000000000000002f  x11 0000000000000000

05-25 23:59:02.399 13243 13243 F DEBUG   :     x12 0000000000000012  x13 0000a9c40000ae1f  x14 0024f3f61fb33400  x15 0000000034155555

05-25 23:59:02.399 13243 13243 F DEBUG   :     x16 00000062aabc4c10  x17 0000007cfafaeec0  x18 0000007d04d7e000  x19 0000000000000000

05-25 23:59:02.399 13243 13243 F DEBUG   :     x20 b400007a2ad55c28  x21 b400007b7ae9c228  x22 b400007b7aeaa2f8  x23 0000007d046d2000

05-25 23:59:02.399 13243 13243 F DEBUG   :     x24 0000000000000000  x25 b400007a2ad431c0  x26 0000000000000001  x27 0000000000002559

05-25 23:59:02.399 13243 13243 F DEBUG   :     x28 00000000000026bd  x29 0000007ff617e2f0

05-25 23:59:02.400 13243 13243 F DEBUG   :     lr  00000062aa7347a0  sp  0000007ff617e2f0  pc  0000007cfafaeee0  pst 0000000060001000

05-25 23:59:02.400 13243 13243 F DEBUG   : backtrace:

05-25 23:59:02.400 13243 13243 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #01 pc 000000000015b79c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112)

(BuildId: b940f836006eead456c936e97e64d2d4)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #03 pc 00000000001584c8  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #04 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #05 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #06 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #07 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #08 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #09 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #10 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #11 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)
05-25 23:59:02.400 13243 13243 F DEBUG   :       #12 pc 000000000019ecc8  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+500)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #13 pc 0000000000195ecc  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #14 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #15 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-25 23:59:02.400 13243 13243 F DEBUG   :       #16 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-25 23:59:02.401 13243 13243 F DEBUG   :       #17 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.401 13243 13243 F DEBUG   :       #18 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.401 13243 13243 F DEBUG   :       #19 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 23:59:02.401 13243 13243 F DEBUG   :       #20 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

-------------

■ 下一步计划

关联到 #118052，在 #118052中继续分析

#3 - 2023-05-26 17:38 - CDTS-TEST 周婷

- Parent task set to #118052

#4 - 2023-06-02 17:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 17:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

8点22分发现副屏处于屏保界面，monkey异常停止.mp4 3.08 MB 2023-05-26 CDTS_Test 吴诗雨
